core

## Class GUI

- java.lang.Object
- - javafx.application.Application
  - - core.GUI

-     public class GUI
      extends javafx.application.Application

  Controls, initiates and terminates the GUI.
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javafx.application.Application

      `javafx.application.Application.Parameters`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javafx.scene.image.Image` | `APP_ICON`
    `static java.lang.String` | `L1_WINDOW_TITLE`
    `static java.lang.String` | `L2_WINDOW_TITLE`
    `static java.lang.String` | `L3_WINDOW_TITLE`
    `static java.lang.String` | `NL`
    `private static java.lang.String` | `OS`

    - ### Fields inherited from class javafx.application.Application

      `STYLESHEET_CASPIAN, STYLESHEET_MODENA`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GUI()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isLinux()` Detects the Operating System.
    `static boolean` | `isMac()` Detects the Operating System.
    `static boolean` | `isSolaris()` Detects the Operating System.
    `static boolean` | `isWindows()` Detects the Operating System.
    `static void` | `main(java.lang.String[] args)`
    `void` | `start(javafx.stage.Stage stage)`

    - ### Methods inherited from class javafx.application.Application

      `getHostServices, getParameters, getUserAgentStylesheet, init, launch, launch, notifyPreloader, setUserAgentStylesheet, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APP_ICON

          public static final javafx.scene.image.Image APP_ICON

    - #### L1_WINDOW_TITLE

          public static final java.lang.String L1_WINDOW_TITLE

      See Also:
        Constant Field Values

    - #### L2_WINDOW_TITLE

          public static final java.lang.String L2_WINDOW_TITLE

      See Also:
        Constant Field Values

    - #### L3_WINDOW_TITLE

          public static final java.lang.String L3_WINDOW_TITLE

      See Also:
        Constant Field Values

    - #### NL

          public static final java.lang.String NL

    - #### OS

          private static final java.lang.String OS

  - ### Constructor Detail

    - #### GUI

          public GUI()

  - ### Method Detail

    - #### isLinux

          public static boolean isLinux()

      Detects the Operating System.
      Returns:
        true if this OS is Linux

    - #### isMac

          public static boolean isMac()

      Detects the Operating System.
      Returns:
        true if this OS is Mac OS

    - #### isSolaris

          public static boolean isSolaris()

      Detects the Operating System.
      Returns:
        true if this OS is Solaris

    - #### isWindows

          public static boolean isWindows()

      Detects the Operating System.
      Returns:
        true if this OS is Windows

    - #### main

          public static void main(java.lang.String[] args)

    - #### start

          public void start(javafx.stage.Stage stage)
                     throws java.lang.Exception

      Specified by:
        `start` in class `javafx.application.Application`
      Throws:
        `java.lang.Exception`